import { EventEmitter } from '../../stencil.core';
import { CoordinateData } from '../../types/types';
export declare class Chart {
    private readonly id;
    private readonly overlayId;
    private connected;
    private axisConfigs;
    private columns;
    private creationTimer;
    private initRenderTimer;
    private lines;
    private triedLoadingSeries;
    private xAxisElement;
    private yAxisElement;
    private popover;
    private scatter;
    private seriesMeta;
    private service;
    private eventsService;
    private stackedColumns;
    private stackedData;
    private pie;
    private primarySeries;
    private secondarySeries;
    private primaryComponents;
    private secondaryComponents;
    private popoverData;
    private static creationDebounceLength;
    private static initRenderDebounceLength;
    element: HTMLElement;
    multiSeries: boolean;
    popoverComponent: any;
    currency: string;
    locale: string;
    /**
     * By default, we would like to be able to interact with the popover and it's content.
     * In some other cases we'd prefer to have mouse events penetrate the popover, and forfeit interacting with popover content
     */
    disabledPopoverEvents: boolean;
    /**
     * Emitted when the use hovers over a data point or series of them
     */
    anjHover: EventEmitter<CoordinateData[]>;
    componentWillLoad(): void;
    componentWillUpdate(): void;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    onSeriesLoaded(): Promise<void>;
    onSeriesUpdated({ detail }: {
        detail: any;
    }): Promise<void>;
    onXAxisLoaded({ target, detail }: {
        target: any;
        detail: any;
    }): void;
    handleResize(): Promise<void>;
    addLineEvents(svg: any, chartOverlay: any, x: any, data: any): any;
    addColumnEvents(svg: any, chartOverlay: any, x: any, data: any): any;
    addSliceEvents(slices: any, data: any): any;
    addPointEvents(svgPoints: any, data: any, seriesIndex: any): any;
    addStackedEvents(svg: any, chartOverlay: any, x: any): any;
    private appendSVG;
    private debounceCreation;
    private debounceInitRender;
    create(): Promise<any>;
    private hydratePrimaryComponents;
    private hydrateSecondaryComponents;
    private hydrateColumns;
    private hydrateLinesPrimary;
    private hydrateLinesSecondary;
    private hydrateScatter;
    private hydratePie;
    private hydrateStackedColumns;
    private hydrateXAxis;
    private hydrateYAxis;
    private initRender;
    private loadSeries;
    private updateSeries;
    private setFormattingOptions;
    private clearChart;
    private overlayStyle;
    render(): any;
}
